Skip to main content
GET
/
workflows
/
v1
/
workflow-schedules
List Team Workflow Schedules
curl --request GET \
  --url https://api-qa.interactly.ai/workflows/v1/workflow-schedules \
  --header 'Authorization: Bearer <token>'
[
  {
    "workflow_id": "5eb7cf5a86d9755df3a6c593",
    "scheduled_time": "2023-11-07T05:31:56Z",
    "team_id": "<string>",
    "created_by": "<string>",
    "updated_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "_id": "5eb7cf5a86d9755df3a6c593",
    "status": "pending",
    "run_input": {
      "dynamic_variables": {},
      "runtime_variables": {},
      "miscellaneous": {},
      "command": "start",
      "workflow_id": "<string>",
      "version_number": 0,
      "run_by": "<string>",
      "workflow_run_id": "<string>",
      "team_id": "<string>",
      "start_node_logical_id": "<string>",
      "initial_state": {},
      "thread_to_node_inputs": {}
    },
    "version": 123,
    "schedule_name": "<string>",
    "scheduler_arn": "<string>",
    "actual_run_id": "5eb7cf5a86d9755df3a6c593",
    "scheduled_by_name": "<string>",
    "error_message": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Query Parameters

status
enum<string> | null
Available options:
pending,
in_progress,
completed,
failed,
cancelled
skip
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

workflow_id
string
required

ID of the workflow to run

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

scheduled_time
string<date-time>
required

The target time for the workflow execution (UTC)

team_id
string | null

ID of the team that owns this edge

created_by
string | null

ID of the user who created this edge

updated_by
string | null

ID of the user who last updated this edge

created_at
string<date-time>
updated_at
string<date-time>
_id
string | null

MongoDB document ObjectID

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

status
enum<string>
default:pending

Current status of the schedule

Available options:
pending,
in_progress,
completed,
failed,
cancelled
run_input
WorkflowRunInput · object

Inputs and dynamic variables for the workflow run

version
integer | null

Version of the workflow to run

schedule_name
string | null

AWS EventBridge Schedule name (used for deletion)

scheduler_arn
string | null

AWS EventBridge Scheduler ARN

actual_run_id
string | null

Link to the actual WorkflowRunsModel ID once executed

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

scheduled_by_name
string | null

Display name of the user who created the schedule

error_message
string | null

Error message if the schedule failed to execute